Bug Hunting Session
Bug 107057 - Table shading incorrectly in merged cells
Summary: Table shading incorrectly in merged cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-10 03:42 UTC by Luke
Modified: 2017-04-16 02:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the issue (88.57 KB, image/png)
2017-04-10 03:42 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2017-04-10 03:42:24 UTC
Created attachment 132434 [details]
Screenshot showing the issue

After
https://cgit.freedesktop.org/libreoffice/core/commit/?id=b13a0a27444ffbf9ef45cb16ad69fdff0dc64306

The shading in tables with merged cells such as attachment 114436 [details] is not rendered correctly.
Comment 1 Commit Notification 2017-04-11 12:05:34 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0459b45f431490b8fcf94ecc6b01365efe0a11e

tdf#107057 revert the logic of SwFrame::PaintArea

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Luke 2017-04-16 02:18:54 UTC
Verified FIXED in
Version: 5.4.0.0.alpha0+
Build ID: 4d64bd4cbf652c5286272edc271f45ec447b10b8

Thanks Mark!